package com.memorynotfound.controller;

import com.memorynotfound.model.Course;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

@RestController
@RequestMapping("/courses")
public class CourseController {

    @RequestMapping(value="/{id}", method = RequestMethod.GET)
    public Course getCourse(@PathVariable Integer id, ModelMap model) {
        return new Course(id, "Spring MVC Content Negotiation XML Example", new Date());
    }
}
